ByteArrayPartSource (HttpClient Library (Version 3.1))
Date: 2019-01-01

org.apache.commons.httpclient.methods.multipart

## Class ByteArrayPartSource

- java.lang.Object
- - org.apache.commons.httpclient.methods.multipart.ByteArrayPartSource

- All Implemented Interfaces:
    PartSource

      public class ByteArrayPartSource
      extends java.lang.Object
      implements PartSource

  A PartSource that reads from a byte array. This class should be used when the data to post is already loaded into memory.
  Since:
    2.0
  Author:
    Michael Becke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayPartSource(java.lang.String fileName, byte[] bytes)` Constructor for ByteArrayPartSource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `createInputStream()` Gets a new InputStream for reading this source.
    `java.lang.String` | `getFileName()` Gets the name of the file this source represents.
    `long` | `getLength()` Gets the number of bytes contained in this source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayPartSource

          public ByteArrayPartSource(java.lang.String fileName,
                                     byte[] bytes)

      Constructor for ByteArrayPartSource.
      Parameters:
        `fileName` - the name of the file these bytes represent
        `bytes` - the content of this part

  - ### Method Detail

    - #### getLength

          public long getLength()

      Description copied from interface: `PartSource`
      Gets the number of bytes contained in this source.
      Specified by:
        `getLength` in interface `PartSource`
      Returns:
        a value >= 0
      See Also:
        `PartSource.getLength()`

    - #### getFileName

          public java.lang.String getFileName()

      Description copied from interface: `PartSource`
      Gets the name of the file this source represents.
      Specified by:
        `getFileName` in interface `PartSource`
      Returns:
        the fileName used for posting a MultiPart file part
      See Also:
        `PartSource.getFileName()`

    - #### createInputStream

          public java.io.InputStream createInputStream()
                                                throws java.io.IOException

      Description copied from interface: `PartSource`
      Gets a new InputStream for reading this source. This method can be called more than once and should therefore return a new stream every time.
      Specified by:
        `createInputStream` in interface `PartSource`
      Returns:
        a new InputStream
      Throws:
        `java.io.IOException` - if an error occurs when creating the InputStream
      See Also:
        `PartSource.createInputStream()`

Copyright (c) 1999-2005 - Apache Software Foundation